var gulp        = require('gulp');
var gutil       = require('gulp-util');
var gulpif      = require('gulp-if');
var streamify   = require('gulp-streamify');
var source      = require('vinyl-source-stream');
var babelify    = require('babelify');
var browserify  = require('browserify');
var uglify      = require('gulp-uglify');

var production = process.env.NODE_ENV === 'production';

var dependencies = [
  'react',
  'react-dom'
];

gulp.task('browserify', function() {
  return browserify('Comp.js')
    .external(dependencies)
    .transform(babelify, { presets: ['es2015', 'react'] })
    .bundle()
    .pipe(source('index.js'))
    .pipe(gulpif(production, streamify(uglify({ mangle: false }))))
    .pipe(gulp.dest('.'));
});

gulp.task('default', ['browserify']);